
#define ECU_ConnectCheck	0xAA
#define ECU_ReadStatus		0x01
#define ECU_ReadTOTALINJ	0x02
#define ECU_ReadBaseMap		0x03
#define ECU_ReadFBMap		0x04
#define ECU_ReadIgnMap		0x05
#define ECU_ReadLoadMap		0x06
#define ECU_WriteBaseMap	0x42
#define ECU_WriteFBMap		0x43
#define ECU_WriteIgnMap		0x44
#define ECU_WriteLoadMap	0x5A
#define ECU_ResetBaseMap	0x45
#define ECU_ResetFBMap		0x46
#define ECU_ResetIgnMap		0x47
#define ECU_ResetLoadMap	0x5B
#define ECU_ResetTOTALINJ	0x4A
#define ECU_ResetDISTANCE	0x4B
#define ECU_SetRevLimit		0x4C
#define ECU_SetRevLimitClr	0x4D
#define ECU_SetFuelCutRev	0x4E
#define ECU_SetIdolingRev	0x4F
#define ECU_SetIdolUpRev	0x50
#define ECU_SetDwellTime	0x51
#define ECU_SetISCVMIN		0x56
#define ECU_SetISCVMAX		0x57
#define ECU_SetISCVDEF		0x58

#define TWATER	BUFF[14]	// 
#define TOIL	BUFF[16]	// 
#define TAIR	BUFF[15]	// zC
#define SPEED	BUFF[18]	// x
#define AIR		BUFF[4]		// zC
#define O2		BUFF[12]	// O2ZT[
#define IGN		BUFF[11]	// _Ύ
#define KNOCK	BUFF[13]	// mbNZT[
#define ISCV	BUFF[17]	// ISCV[%]
// ][RPM]
#define RPM		(((unsigned short)BUFF[2] << 8) + BUFF[3])
// ˎ/10[ns]
#define MONINJ	(((unsigned short)BUFF[9]<<8)+BUFF[10])
// s[m]
#define RODO	(PODO+((unsigned long)BUFF[19]<<24)+((unsigned long)BUFF[20]<<16)+((unsigned short)BUFF[21]<<8)+BUFF[22])
// gbv[m]
#define RTRIP	((PTRIP*100)+((unsigned long)BUFF[19]<<24)+((unsigned long)BUFF[20]<<16)+((unsigned short)BUFF[21]<<8)+BUFF[22])

extern unsigned char STATUS;
#define DATAVALID	(1<<0)	// 1:f[^L
#define FRECORDED	(1<<1)	// 1:ROM֋L^ς
#define FEGSTABLE	(1<<2)	// 1:GW
#define FSDWRITE	(1<<3)	// 1:SDJ[hݎ{

// ECUZbgO̒l
extern unsigned long	PODO;	// s[m]
extern unsigned short	PTRIP;		// gbv[100m]
extern unsigned long	PTOTALINJ;	// ˗[ms]
extern unsigned short	INJCAP;		// RvZpCWFN^[\[cc/min]iʂƊJَԂvZj
extern unsigned long	REFUELODO;	// ̃Ih[^[m]

// ݒl
extern unsigned long	ODO;
extern unsigned short	TRIP;
extern unsigned long	TOTALINJ;	//[ms]

extern bool ecucmd(unsigned char cmd);
extern void resetcmd(unsigned char cmd);
extern unsigned long getinjtotal(void);
